/*
 * main.c
 */
#include <msp430f6638.h>

/*************************** 궨 ******************************/

typedef unsigned int uint;
typedef unsigned char uchar;

#define LEN 6 //궨建С
#define ADR 0x1880//궨дFlashʼַλSegment C
#define BYTE 0//ֽд־
#define WORD 1//˫ֽд־
#define DELETE 0//ֵ

//궨ӦĴĵַ
#define P4_OUT 0x0223
#define P4_DIR 0x0225
#define P5_OUT 0X0242
#define P5_DIR 0x0244
#define P8_OUT 0x0263
#define P8_DIR 0x0265

/**************************   *****************************/

void FlashWriteByte(uint address,uchar *byte,uint count);
void FlashWriteWord(uint address,uint *word,uint count);
void FlashErase(uint address,uint mode,uint length);
void FlashRead(uint address,uint *buf,uint mode,uint length);

/***************************   ******************************/

void main(void)
{
	WDTCTL = WDTPW + WDTHOLD;//رտŹ
	//uchar BSetBuf[LEN] = {0}; ֽд뻺δõ
	uint WSetBuf[LEN] = {P4_DIR,P5_DIR,P8_DIR,P4_OUT,P5_OUT,P8_OUT};
	// ˫ֽд뻺
	uint RxBuf[LEN] = {0};//ݶȡ
	FlashErase(ADR,WORD,LEN);//дFlashе
	FlashWriteWord(ADR,WSetBuf,LEN);//˫ֽд뺯
	FlashRead(ADR,RxBuf,WORD,LEN);//ȡ

	/*ȡûΪַ丳ֵ˴õLEDƵGPIOܽ*/
	*((uchar *)RxBuf[0]) |= (uchar)(BIT7 + BIT6 + BIT5);
	*((uchar *)RxBuf[1]) |= (uchar)BIT7;
	*((uchar *)RxBuf[2]) |= (uchar)BIT0;
	*((uchar *)RxBuf[3]) |= (uchar)(BIT7 + BIT6 + BIT5);
	*((uchar *)RxBuf[4]) |= (uchar)BIT7;
	*((uchar *)RxBuf[5]) |= (uchar)BIT0;

	FlashErase(ADR,WORD,LEN);//дFlashе

	__bis_SR_register(LPM3_bits);//͹״̬
}

/*************************** дֽ  ******************************/

void FlashWriteByte(uint address,uchar *byte,uint count)
{
	FCTL3 = FWKEY;			//Flash
	while(FCTL3 & BUSY);	//ȴæ
	FCTL1 = FWKEY + WRT;	//ѡдģʽ
	while(count--)
	{
		*((uchar *)address) = *(byte++); //ѵֽڻдӦĵַ
		address = address + 2;//дݵַ˳ۼ
	}
	FCTL1 = FWKEY;			//дģʽ
	FCTL3 = FWKEY + LOCK;	//Flash
	while(FCTL3 & BUSY);	//ȴæ
}

/*************************** д  ******************************/

void FlashWriteWord(uint address,uint *word,uint count)
{
	FCTL3 = FWKEY;
	while(FCTL3 & BUSY);
	FCTL1 = FWKEY + WRT;
	while(count--)
	{
		*((uint *)address) = *(word++);//˫ֽڻдӦĵַ
		address = address + 2;
	}
	FCTL1 = FWKEY;
	FCTL3 = FWKEY + LOCK;
	while(FCTL3 & BUSY);
}

/*************************** FLASH ***************************/

void FlashRead(uint address,uint *buf,uint mode,uint length)
{
	if(mode)//ж϶ȡģʽ0 ʾ ֽ  1 ʾ˫ֽڡ
	{
		while(length--)//ж϶ȡݵĸ
		{
			*(buf++) = *((uint *)address);//Ѷȡ˫ֽݶȡ
			address = address + 2;
		}
	}
	else
	{
		while(length--)
		{
			*((uchar *)buf++) = *((uchar *)address);//Ѷȡĵֽݶȡ
			address = address + 2;
		}
	}

}

/*************************** FLASH ***************************/

void FlashErase(uint address,uint mode,uint length)
{
	FCTL3 = FWKEY;
	while(FCTL3 & BUSY);
	FCTL1 = FWKEY + ERASE;
	if(mode)//жģʽ
	{
		while(length--)//жϲݸ
		{
			*((uint *)address) = DELETE;//Ӧַϵ˫ֽݲ
			address = address + 2;
		}
	}
	else
	{
		while(length--)
		{
			*((uchar *)address) = DELETE;//Ӧַϵĵֽݲ
			address = address + 2;
		}
	}
	FCTL1 = FWKEY;
	FCTL3 = FWKEY + LOCK;
	while(FCTL3 & BUSY);
}
